Subject: bug#47368: 28.0.50; map-elt returns nil without "deprecated" TESTFN

From: Michael Heerdegen <[email-masked]>
Date: Thu, 25 Mar 2021 03:39:14 +0100

"Basil L. Contovounesios" <[email-masked]> writes:

> dalanicolai <[email-masked]> writes:
>
> > The docstring of the map-elt function from the map.el package (version
> > 3.0) mentions that TESTFN is deprecated because "its default depends on
> > the MAP argument". However when I try e.g.
> >
> > (map-elt '(("A1" . 3)) "A1")
> >
> > it returns nil.
>
> This is expected, as alist keys are tested with eq by default.
>
> That's what the docstring is trying to warn about: alists default to
> testing with eq, but can also use eql, equal, or anything else.

Is it that obvious?  We have `assoc' and `assq' built-in - to me it's
not obvious that "alist keys are tested with eq by default".  It's the
default for `alist-get', ok, which is used by the implementation, but
not everybody will know that.  I would add a sentence about that.

Michael.